Commit affcff74 authored by Ralf Habacker's avatar Ralf Habacker
Browse files

Also check tag 'xmi:version' to find the version of the xmi file

This tag is used by xmi file version >= 2

CCBUG:56184
parent cc799cb6
......@@ -2353,6 +2353,8 @@ bool UMLDoc::loadFromXMI1(QIODevice & file, short encode)
}
QString versionString = root.attribute(QLatin1String("xmi.version"));
if (versionString.isEmpty())
versionString = root.attribute(QLatin1String("xmi:version"));
double version = versionString.toDouble();
if (version < 1.2) {
QString error = i18n("Unsupported xmi file version: %1", versionString);
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment